summaryrefslogtreecommitdiff
path: root/simply-report-installed-packages.in
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2021-08-26 21:14:00 +0200
committerErich Eckner <git@eckner.net>2021-08-26 21:14:00 +0200
commit04b5c8a5ed7e3fdca1a6af97eb1df084137e6f11 (patch)
treeecd6a5194b1a607fe3511d6dc873c7b26cb03ef7 /simply-report-installed-packages.in
parentbc6dcb5ec37e9680a29794759fe2ea9ade83eafc (diff)
downloadsimple-package-report-04b5c8a5ed7e3fdca1a6af97eb1df084137e6f11.tar.xz
Makefile newv0.0
Diffstat (limited to 'simply-report-installed-packages.in')
-rwxr-xr-xsimply-report-installed-packages.in17
1 files changed, 17 insertions, 0 deletions
diff --git a/simply-report-installed-packages.in b/simply-report-installed-packages.in
new file mode 100755
index 0000000..e80b4d0
--- /dev/null
+++ b/simply-report-installed-packages.in
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+# version #VERSION#
+
+if ! command -v pacman 2>/dev/null; then
+ exit 1
+fi
+
+{
+ uname -n
+ pacman-conf Architecture
+ pacman -Slq archlinuxewe \
+ | grep -xFf <(
+ pacman -Qq
+ )
+} \
+| curl -T - https://arch.eckner.net/report.php